{ config, ... }:
{
  imports = [
    ./nginx
    ./liquidsoap
  ];

  services.icecast = {
    enable = config.system.server.enable;
    listen.port = 73;
    hostname = "radio.nixfox.ca";
    admin = {
      user = "${config.sysusers.main}";
      password = "${config.secrets.castAdminPass}";
    };
    extraConf = ''
      <authentication>
        <source-password>${config.secrets.castSourcePass}</source-password>
      </authentication>
      
      <location>Canada</location>
      <admin>contact@nixfox.ca</admin>
    '';
  };
}
